Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hamcrest.core
Class DescribedAs<T>

    java.lang.Object
      org.hamcrest.BaseMatcher<T>
          org.hamcrest.core.DescribedAs<T>

All Implemented Interfaces:
  org.hamcrest.Matcher<T>, org.hamcrest.SelfDescribing

    public class DescribedAs<T>

extends org.hamcrest.BaseMatcher<T>

Provides a custom description to another matcher.

Constructor Summary
`DescribedAs(java.lang.String descriptionTemplate, org.hamcrest.Matcher<T> matcher, java.lang.Object[] values)`

Method Summary
`static
`<T> org.hamcrest.Matcher<T>`
` | `describedAs(java.lang.String description, org.hamcrest.Matcher<T> matcher, java.lang.Object... values)` Wraps an existing matcher and overrides the description when it fails.
`void` | `describeTo(org.hamcrest.Description description)` Generates a description of the object.
`boolean` | `matches(java.lang.Object o)` Evaluates the matcher for argument item.

Methods inherited from class org.hamcrest.BaseMatcher
`_dont_implement_Matcher___instead_extend_BaseMatcher_, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribedAs

    public DescribedAs(java.lang.String descriptionTemplate,
                       org.hamcrest.Matcher<T> matcher,
                       java.lang.Object[] values)

Method Detail

### matches

    public boolean matches(java.lang.Object o)

  Description copied from interface: `org.hamcrest.Matcher`
  Evaluates the matcher for argument item.

  This method matches against Object, instead of the generic type T. This is because the caller of the Matcher does not know at runtime what the type is (because of type erasure with Java generics). It is down to the implementations to check the correct type.

  Parameters:
    `o` - the object against which the matcher is evaluated.
  Returns:
    `true` if item matches, otherwise `false`.
  See Also:
    `BaseMatcher`

### describeTo

    public void describeTo(org.hamcrest.Description description)

  Description copied from interface: `org.hamcrest.SelfDescribing`
  Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.

  Parameters:
    `description` - The description to be built or appended to.

### describedAs

    public static <T> org.hamcrest.Matcher<T> describedAs(java.lang.String description,
                                                          org.hamcrest.Matcher<T> matcher,
                                                          java.lang.Object... values)

  Wraps an existing matcher and overrides the description when it fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD